! EPS(x)
! The distance of x and the predecessor of x 
! or the successor of x.
! EPS(0) is the smallest positive number.
OPTION ARITHMETIC DECIMAL
DEF f(x)=MAX(10^(INT(LOG10(ABS(x))-14)),1E-99)
FOR i=0 TO 15
   LET x=10^i
   PRINT x,EPS(x),f(x), x+eps(x)
NEXT i
END

